[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.WMKillFocus

Handles the LM_KILLFOCUS message for the control.

## Declaration

Source position: controls.pp line 2210

`protected procedure TWinControl.WMKillFocus(`
`var Message: TLMKILLFOCUS`
`); message;`

## Arguments

`Message` |  | Window message examined in the method.

## Description

WMKillFocus is a method used to handle the LM_KILLFOCUS control message received when a control loses focus. WMKillFocus ensures that the EditingDone method is called for the control when the parent form has been assigned and is Active.

No actions are performed in the method at design-time, or when the control is being freed.

## See also

TControl.EditingDone |  | Signals the OnEditingDone event handler.
GetParentForm |  | Gets the form instance for the specified Control.